library(data.table)
library(dplyr)
library(pheatmap)
library(RColorBrewer)
d <- fread("anchor_TE.txt")
te <- fread("TE_pattern.txt")
names(d) <- c("chr","start","end","aligned_ratio","type","chr_type","id","TE","length")
names(te) <- c("TE","pattern")
dat <- left_join(d,te,by="TE")
dat_length <- group_by(filter(dat,aligned_ratio>=0.4),type,chr_type,pattern)%>%
             summarise(length_sum=sum(length))
balance <- filter(dat_length,pattern==7)
dat_to_norm <- filter(dat_length,!is.na(pattern))%>%
                left_join(balance,by=c("type","chr_type"))
norm <- mutate(dat_to_norm,normed_length=length_sum.x/length_sum.y,new_type=paste(type,chr_type,sep="_"))[,c(8,3,7)]
norm <- dcast(norm,pattern.x~new_type)
norm[is.na(norm)] <- 0
row.names(norm) <- norm$pattern.x
norm <- norm[,-1]
pheatmap(norm_order,filename = "anchor_TE_pattern_heat.png",cluster_cols = F,cluster_rows = F, fontsize = 20,color=colors,cellwidth=40,cellheight=40)

